<IfModule mod_ssl.c>
# if you are on Debian Lenny, you need to comment the following line since
# the default Apache-configuration in Lenny enables the port 443 in
# /etc/apache2/ports.conf, so it would twice here:
#Listen 443

NameVirtualHost *:443
<VirtualHost *:443>
	ServerName @SERVER_URL@
	ServerAdmin info@gispatcher.com

	ProxyRequests Off
 
	<Proxy *>
	  Order deny,allow
	  Allow from all
	</Proxy>

	# include more stuff of other Apache2-directives ending with gp
	Include /etc/apache2/gispatcher.d/*.conf.gp

	ProxyErrorOverride On

	ErrorDocument 503 /support.html 
	ErrorDocument 500 /support.html
	ErrorDocument 400 /support.html
	ErrorDocument 404 /notfound.html

        # enable SSL
        SSLEngine on
        SSLCipherSuite ALL:!ADH:!EXPORT56:RC4+RSA:+HIGH:+MEDIUM:+LOW:+SSLv2:+EXP:+eNULL
        SSLCertificateFile /etc/apache2/ssl.crt/snakeoil-dsa.crt
        SSLCertificateKeyFile /etc/apache2/ssl.key/snakeoil-dsa.key
        #IE-Problem mit SSL beheben (optional)
        SetEnvIf User-Agent ".*MSIE.*" nokeepalive ssl-unclean-shutdown


	DocumentRoot /var/www/@TC_OWNER@
	<Directory />
		Options FollowSymLinks
		AllowOverride None
	</Directory>
	<Directory /var/www/@TC_OWNER@>
		Options Indexes FollowSymLinks MultiViews
		AllowOverride None
		Order allow,deny
		allow from all
		# This directive allows us to have apache2's default start page
                # in /apache2-default/, but still have / go to the right place
#                RedirectMatch ^/$ /
	</Directory>

	ErrorLog /var/log/apache2/@SERVER_URL@_error.log

	# Possible values include: debug, info, notice, warn, error, crit,
	# alert, emerg.
	LogLevel warn

	CustomLog /var/log/apache2/@SERVER_URL@_access.log combined
	ServerSignature Off

</VirtualHost>
</IfModule>
